function[norm_data]=fce_norm(vstup)

% funkce pro normalizaci dat
% z= (xij-min(xij))/max (xij)-min(xij)
% 0<=zij<=1

tr=0;

if  size(vstup,1)>size(vstup,2)
    vstup= vstup';
    tr=1;
end

pom=[];

for k=1:1:size(vstup,1)
    min_pom=min(vstup(k,:));
    max_pom=max(vstup(k,:));

    for i=1:1:size(vstup,2)
        pom(k,i)=((vstup(k,i)-min_pom)/(max_pom-min_pom));
    end
end

norm_data=pom;

if  tr==1
    norm_data= norm_data';
end


end